// source: v1/order/model_search.proto
/**
 * @fileoverview
 * @enhanceable
 * @suppress {messageConventions} JS Compiler reports an error if a variable or
 *     field starts with 'MSG_' and isn't a translatable message.
 * @public
 */
// GENERATED CODE -- DO NOT EDIT!

var jspb = require('google-protobuf');
var goog = jspb;
var global = Function('return this')();

var google_protobuf_wrappers_pb = require('google-protobuf/google/protobuf/wrappers_pb.js');
goog.object.extend(proto, google_protobuf_wrappers_pb);
var v1_order_common_pb = require('../../v1/order/common_pb.js');
goog.object.extend(proto, v1_order_common_pb);
var v1_order_enum_pb = require('../../v1/order/enum_pb.js');
goog.object.extend(proto, v1_order_enum_pb);
var v1_order_model_base_pb = require('../../v1/order/model_base_pb.js');
goog.object.extend(proto, v1_order_model_base_pb);
var v1_order_model_order_pb = require('../../v1/order/model_order_pb.js');
goog.object.extend(proto, v1_order_model_order_pb);
var v1_order_model_offer_pb = require('../../v1/order/model_offer_pb.js');
goog.object.extend(proto, v1_order_model_offer_pb);
var v1_order_model_deal_pb = require('../../v1/order/model_deal_pb.js');
goog.object.extend(proto, v1_order_model_deal_pb);
goog.exportSymbol('proto.fcp.order.v1.order.SearchRequest', null, global);
goog.exportSymbol('proto.fcp.order.v1.order.SearchRequest.SearchFilter', null, global);
goog.exportSymbol('proto.fcp.order.v1.order.SearchResponse', null, global);
/**
 * Generated by JsPbCodeGenerator.
 * @param {Array=} opt_data Optional initial data array, typically from a
 * server response, or constructed directly in Javascript. The array is used
 * in place and becomes part of the constructed object. It is not cloned.
 * If no data is provided, the constructed object will be empty, but still
 * valid.
 * @extends {jspb.Message}
 * @constructor
 */
proto.fcp.order.v1.order.SearchRequest = function(opt_data) {
  jspb.Message.initialize(this, opt_data, 0, -1, proto.fcp.order.v1.order.SearchRequest.repeatedFields_, null);
};
goog.inherits(proto.fcp.order.v1.order.SearchRequest, jspb.Message);
if (goog.DEBUG && !COMPILED) {
  /**
   * @public
   * @override
   */
  proto.fcp.order.v1.order.SearchRequest.displayName = 'proto.fcp.order.v1.order.SearchRequest';
}
/**
 * Generated by JsPbCodeGenerator.
 * @param {Array=} opt_data Optional initial data array, typically from a
 * server response, or constructed directly in Javascript. The array is used
 * in place and becomes part of the constructed object. It is not cloned.
 * If no data is provided, the constructed object will be empty, but still
 * valid.
 * @extends {jspb.Message}
 * @constructor
 */
proto.fcp.order.v1.order.SearchRequest.SearchFilter = function(opt_data) {
  jspb.Message.initialize(this, opt_data, 0, -1, null, null);
};
goog.inherits(proto.fcp.order.v1.order.SearchRequest.SearchFilter, jspb.Message);
if (goog.DEBUG && !COMPILED) {
  /**
   * @public
   * @override
   */
  proto.fcp.order.v1.order.SearchRequest.SearchFilter.displayName = 'proto.fcp.order.v1.order.SearchRequest.SearchFilter';
}
/**
 * Generated by JsPbCodeGenerator.
 * @param {Array=} opt_data Optional initial data array, typically from a
 * server response, or constructed directly in Javascript. The array is used
 * in place and becomes part of the constructed object. It is not cloned.
 * If no data is provided, the constructed object will be empty, but still
 * valid.
 * @extends {jspb.Message}
 * @constructor
 */
proto.fcp.order.v1.order.SearchResponse = function(opt_data) {
  jspb.Message.initialize(this, opt_data, 0, -1, null, null);
};
goog.inherits(proto.fcp.order.v1.order.SearchResponse, jspb.Message);
if (goog.DEBUG && !COMPILED) {
  /**
   * @public
   * @override
   */
  proto.fcp.order.v1.order.SearchResponse.displayName = 'proto.fcp.order.v1.order.SearchResponse';
}

/**
 * List of repeated fields within this message type.
 * @private {!Array<number>}
 * @const
 */
proto.fcp.order.v1.order.SearchRequest.repeatedFields_ = [2];



if (jspb.Message.GENERATE_TO_OBJECT) {
/**
 * Creates an object representation of this proto.
 * Field names that are reserved in JavaScript and will be renamed to pb_name.
 * Optional fields that are not set will be set to undefined.
 * To access a reserved field use, foo.pb_<name>, eg, foo.pb_default.
 * For the list of reserved names please see:
 *     net/proto2/compiler/js/internal/generator.cc#kKeyword.
 * @param {boolean=} opt_includeInstance Deprecated. whether to include the
 *     JSPB instance for transitional soy proto support:
 *     http://goto/soy-param-migration
 * @return {!Object}
 */
proto.fcp.order.v1.order.SearchRequest.prototype.toObject = function(opt_includeInstance) {
  return proto.fcp.order.v1.order.SearchRequest.toObject(opt_includeInstance, this);
};


/**
 * Static version of the {@see toObject} method.
 * @param {boolean|undefined} includeInstance Deprecated. Whether to include
 *     the JSPB instance for transitional soy proto support:
 *     http://goto/soy-param-migration
 * @param {!proto.fcp.order.v1.order.SearchRequest} msg The msg instance to transform.
 * @return {!Object}
 * @suppress {unusedLocalVariables} f is only used for nested messages
 */
proto.fcp.order.v1.order.SearchRequest.toObject = function(includeInstance, msg) {
  var f, obj = {
    filter: (f = msg.getFilter()) && proto.fcp.order.v1.order.SearchRequest.SearchFilter.toObject(includeInstance, f),
    sortingList: jspb.Message.toObjectList(msg.getSortingList(),
    v1_order_common_pb.Sorting.toObject, includeInstance),
    pagination: (f = msg.getPagination()) && v1_order_common_pb.PaginationRequest.toObject(includeInstance, f)
  };

  if (includeInstance) {
    obj.$jspbMessageInstance = msg;
  }
  return obj;
};
}


/**
 * Deserializes binary data (in protobuf wire format).
 * @param {jspb.ByteSource} bytes The bytes to deserialize.
 * @return {!proto.fcp.order.v1.order.SearchRequest}
 */
proto.fcp.order.v1.order.SearchRequest.deserializeBinary = function(bytes) {
  var reader = new jspb.BinaryReader(bytes);
  var msg = new proto.fcp.order.v1.order.SearchRequest;
  return proto.fcp.order.v1.order.SearchRequest.deserializeBinaryFromReader(msg, reader);
};


/**
 * Deserializes binary data (in protobuf wire format) from the
 * given reader into the given message object.
 * @param {!proto.fcp.order.v1.order.SearchRequest} msg The message object to deserialize into.
 * @param {!jspb.BinaryReader} reader The BinaryReader to use.
 * @return {!proto.fcp.order.v1.order.SearchRequest}
 */
proto.fcp.order.v1.order.SearchRequest.deserializeBinaryFromReader = function(msg, reader) {
  while (reader.nextField()) {
    if (reader.isEndGroup()) {
      break;
    }
    var field = reader.getFieldNumber();
    switch (field) {
    case 1:
      var value = new proto.fcp.order.v1.order.SearchRequest.SearchFilter;
      reader.readMessage(value,proto.fcp.order.v1.order.SearchRequest.SearchFilter.deserializeBinaryFromReader);
      msg.setFilter(value);
      break;
    case 2:
      var value = new v1_order_common_pb.Sorting;
      reader.readMessage(value,v1_order_common_pb.Sorting.deserializeBinaryFromReader);
      msg.addSorting(value);
      break;
    case 3:
      var value = new v1_order_common_pb.PaginationRequest;
      reader.readMessage(value,v1_order_common_pb.PaginationRequest.deserializeBinaryFromReader);
      msg.setPagination(value);
      break;
    default:
      reader.skipField();
      break;
    }
  }
  return msg;
};


/**
 * Serializes the message to binary data (in protobuf wire format).
 * @return {!Uint8Array}
 */
proto.fcp.order.v1.order.SearchRequest.prototype.serializeBinary = function() {
  var writer = new jspb.BinaryWriter();
  proto.fcp.order.v1.order.SearchRequest.serializeBinaryToWriter(this, writer);
  return writer.getResultBuffer();
};


/**
 * Serializes the given message to binary data (in protobuf wire
 * format), writing to the given BinaryWriter.
 * @param {!proto.fcp.order.v1.order.SearchRequest} message
 * @param {!jspb.BinaryWriter} writer
 * @suppress {unusedLocalVariables} f is only used for nested messages
 */
proto.fcp.order.v1.order.SearchRequest.serializeBinaryToWriter = function(message, writer) {
  var f = undefined;
  f = message.getFilter();
  if (f != null) {
    writer.writeMessage(
      1,
      f,
      proto.fcp.order.v1.order.SearchRequest.SearchFilter.serializeBinaryToWriter
    );
  }
  f = message.getSortingList();
  if (f.length > 0) {
    writer.writeRepeatedMessage(
      2,
      f,
      v1_order_common_pb.Sorting.serializeBinaryToWriter
    );
  }
  f = message.getPagination();
  if (f != null) {
    writer.writeMessage(
      3,
      f,
      v1_order_common_pb.PaginationRequest.serializeBinaryToWriter
    );
  }
};





if (jspb.Message.GENERATE_TO_OBJECT) {
/**
 * Creates an object representation of this proto.
 * Field names that are reserved in JavaScript and will be renamed to pb_name.
 * Optional fields that are not set will be set to undefined.
 * To access a reserved field use, foo.pb_<name>, eg, foo.pb_default.
 * For the list of reserved names please see:
 *     net/proto2/compiler/js/internal/generator.cc#kKeyword.
 * @param {boolean=} opt_includeInstance Deprecated. whether to include the
 *     JSPB instance for transitional soy proto support:
 *     http://goto/soy-param-migration
 * @return {!Object}
 */
proto.fcp.order.v1.order.SearchRequest.SearchFilter.prototype.toObject = function(opt_includeInstance) {
  return proto.fcp.order.v1.order.SearchRequest.SearchFilter.toObject(opt_includeInstance, this);
};


/**
 * Static version of the {@see toObject} method.
 * @param {boolean|undefined} includeInstance Deprecated. Whether to include
 *     the JSPB instance for transitional soy proto support:
 *     http://goto/soy-param-migration
 * @param {!proto.fcp.order.v1.order.SearchRequest.SearchFilter} msg The msg instance to transform.
 * @return {!Object}
 * @suppress {unusedLocalVariables} f is only used for nested messages
 */
proto.fcp.order.v1.order.SearchRequest.SearchFilter.toObject = function(includeInstance, msg) {
  var f, obj = {
    searchString: (f = msg.getSearchString()) && google_protobuf_wrappers_pb.StringValue.toObject(includeInstance, f)
  };

  if (includeInstance) {
    obj.$jspbMessageInstance = msg;
  }
  return obj;
};
}


/**
 * Deserializes binary data (in protobuf wire format).
 * @param {jspb.ByteSource} bytes The bytes to deserialize.
 * @return {!proto.fcp.order.v1.order.SearchRequest.SearchFilter}
 */
proto.fcp.order.v1.order.SearchRequest.SearchFilter.deserializeBinary = function(bytes) {
  var reader = new jspb.BinaryReader(bytes);
  var msg = new proto.fcp.order.v1.order.SearchRequest.SearchFilter;
  return proto.fcp.order.v1.order.SearchRequest.SearchFilter.deserializeBinaryFromReader(msg, reader);
};


/**
 * Deserializes binary data (in protobuf wire format) from the
 * given reader into the given message object.
 * @param {!proto.fcp.order.v1.order.SearchRequest.SearchFilter} msg The message object to deserialize into.
 * @param {!jspb.BinaryReader} reader The BinaryReader to use.
 * @return {!proto.fcp.order.v1.order.SearchRequest.SearchFilter}
 */
proto.fcp.order.v1.order.SearchRequest.SearchFilter.deserializeBinaryFromReader = function(msg, reader) {
  while (reader.nextField()) {
    if (reader.isEndGroup()) {
      break;
    }
    var field = reader.getFieldNumber();
    switch (field) {
    case 1:
      var value = new google_protobuf_wrappers_pb.StringValue;
      reader.readMessage(value,google_protobuf_wrappers_pb.StringValue.deserializeBinaryFromReader);
      msg.setSearchString(value);
      break;
    default:
      reader.skipField();
      break;
    }
  }
  return msg;
};


/**
 * Serializes the message to binary data (in protobuf wire format).
 * @return {!Uint8Array}
 */
proto.fcp.order.v1.order.SearchRequest.SearchFilter.prototype.serializeBinary = function() {
  var writer = new jspb.BinaryWriter();
  proto.fcp.order.v1.order.SearchRequest.SearchFilter.serializeBinaryToWriter(this, writer);
  return writer.getResultBuffer();
};


/**
 * Serializes the given message to binary data (in protobuf wire
 * format), writing to the given BinaryWriter.
 * @param {!proto.fcp.order.v1.order.SearchRequest.SearchFilter} message
 * @param {!jspb.BinaryWriter} writer
 * @suppress {unusedLocalVariables} f is only used for nested messages
 */
proto.fcp.order.v1.order.SearchRequest.SearchFilter.serializeBinaryToWriter = function(message, writer) {
  var f = undefined;
  f = message.getSearchString();
  if (f != null) {
    writer.writeMessage(
      1,
      f,
      google_protobuf_wrappers_pb.StringValue.serializeBinaryToWriter
    );
  }
};


/**
 * optional google.protobuf.StringValue search_string = 1;
 * @return {?proto.google.protobuf.StringValue}
 */
proto.fcp.order.v1.order.SearchRequest.SearchFilter.prototype.getSearchString = function() {
  return /** @type{?proto.google.protobuf.StringValue} */ (
    jspb.Message.getWrapperField(this, google_protobuf_wrappers_pb.StringValue, 1));
};


/**
 * @param {?proto.google.protobuf.StringValue|undefined} value
 * @return {!proto.fcp.order.v1.order.SearchRequest.SearchFilter} returns this
*/
proto.fcp.order.v1.order.SearchRequest.SearchFilter.prototype.setSearchString = function(value) {
  return jspb.Message.setWrapperField(this, 1, value);
};


/**
 * Clears the message field making it undefined.
 * @return {!proto.fcp.order.v1.order.SearchRequest.SearchFilter} returns this
 */
proto.fcp.order.v1.order.SearchRequest.SearchFilter.prototype.clearSearchString = function() {
  return this.setSearchString(undefined);
};


/**
 * Returns whether this field is set.
 * @return {boolean}
 */
proto.fcp.order.v1.order.SearchRequest.SearchFilter.prototype.hasSearchString = function() {
  return jspb.Message.getField(this, 1) != null;
};


/**
 * optional SearchFilter filter = 1;
 * @return {?proto.fcp.order.v1.order.SearchRequest.SearchFilter}
 */
proto.fcp.order.v1.order.SearchRequest.prototype.getFilter = function() {
  return /** @type{?proto.fcp.order.v1.order.SearchRequest.SearchFilter} */ (
    jspb.Message.getWrapperField(this, proto.fcp.order.v1.order.SearchRequest.SearchFilter, 1));
};


/**
 * @param {?proto.fcp.order.v1.order.SearchRequest.SearchFilter|undefined} value
 * @return {!proto.fcp.order.v1.order.SearchRequest} returns this
*/
proto.fcp.order.v1.order.SearchRequest.prototype.setFilter = function(value) {
  return jspb.Message.setWrapperField(this, 1, value);
};


/**
 * Clears the message field making it undefined.
 * @return {!proto.fcp.order.v1.order.SearchRequest} returns this
 */
proto.fcp.order.v1.order.SearchRequest.prototype.clearFilter = function() {
  return this.setFilter(undefined);
};


/**
 * Returns whether this field is set.
 * @return {boolean}
 */
proto.fcp.order.v1.order.SearchRequest.prototype.hasFilter = function() {
  return jspb.Message.getField(this, 1) != null;
};


/**
 * repeated Sorting sorting = 2;
 * @return {!Array<!proto.fcp.order.v1.order.Sorting>}
 */
proto.fcp.order.v1.order.SearchRequest.prototype.getSortingList = function() {
  return /** @type{!Array<!proto.fcp.order.v1.order.Sorting>} */ (
    jspb.Message.getRepeatedWrapperField(this, v1_order_common_pb.Sorting, 2));
};


/**
 * @param {!Array<!proto.fcp.order.v1.order.Sorting>} value
 * @return {!proto.fcp.order.v1.order.SearchRequest} returns this
*/
proto.fcp.order.v1.order.SearchRequest.prototype.setSortingList = function(value) {
  return jspb.Message.setRepeatedWrapperField(this, 2, value);
};


/**
 * @param {!proto.fcp.order.v1.order.Sorting=} opt_value
 * @param {number=} opt_index
 * @return {!proto.fcp.order.v1.order.Sorting}
 */
proto.fcp.order.v1.order.SearchRequest.prototype.addSorting = function(opt_value, opt_index) {
  return jspb.Message.addToRepeatedWrapperField(this, 2, opt_value, proto.fcp.order.v1.order.Sorting, opt_index);
};


/**
 * Clears the list making it empty but non-null.
 * @return {!proto.fcp.order.v1.order.SearchRequest} returns this
 */
proto.fcp.order.v1.order.SearchRequest.prototype.clearSortingList = function() {
  return this.setSortingList([]);
};


/**
 * optional PaginationRequest pagination = 3;
 * @return {?proto.fcp.order.v1.order.PaginationRequest}
 */
proto.fcp.order.v1.order.SearchRequest.prototype.getPagination = function() {
  return /** @type{?proto.fcp.order.v1.order.PaginationRequest} */ (
    jspb.Message.getWrapperField(this, v1_order_common_pb.PaginationRequest, 3));
};


/**
 * @param {?proto.fcp.order.v1.order.PaginationRequest|undefined} value
 * @return {!proto.fcp.order.v1.order.SearchRequest} returns this
*/
proto.fcp.order.v1.order.SearchRequest.prototype.setPagination = function(value) {
  return jspb.Message.setWrapperField(this, 3, value);
};


/**
 * Clears the message field making it undefined.
 * @return {!proto.fcp.order.v1.order.SearchRequest} returns this
 */
proto.fcp.order.v1.order.SearchRequest.prototype.clearPagination = function() {
  return this.setPagination(undefined);
};


/**
 * Returns whether this field is set.
 * @return {boolean}
 */
proto.fcp.order.v1.order.SearchRequest.prototype.hasPagination = function() {
  return jspb.Message.getField(this, 3) != null;
};





if (jspb.Message.GENERATE_TO_OBJECT) {
/**
 * Creates an object representation of this proto.
 * Field names that are reserved in JavaScript and will be renamed to pb_name.
 * Optional fields that are not set will be set to undefined.
 * To access a reserved field use, foo.pb_<name>, eg, foo.pb_default.
 * For the list of reserved names please see:
 *     net/proto2/compiler/js/internal/generator.cc#kKeyword.
 * @param {boolean=} opt_includeInstance Deprecated. whether to include the
 *     JSPB instance for transitional soy proto support:
 *     http://goto/soy-param-migration
 * @return {!Object}
 */
proto.fcp.order.v1.order.SearchResponse.prototype.toObject = function(opt_includeInstance) {
  return proto.fcp.order.v1.order.SearchResponse.toObject(opt_includeInstance, this);
};


/**
 * Static version of the {@see toObject} method.
 * @param {boolean|undefined} includeInstance Deprecated. Whether to include
 *     the JSPB instance for transitional soy proto support:
 *     http://goto/soy-param-migration
 * @param {!proto.fcp.order.v1.order.SearchResponse} msg The msg instance to transform.
 * @return {!Object}
 * @suppress {unusedLocalVariables} f is only used for nested messages
 */
proto.fcp.order.v1.order.SearchResponse.toObject = function(includeInstance, msg) {
  var f, obj = {
    orders: (f = msg.getOrders()) && v1_order_model_order_pb.ListOrderResponse.toObject(includeInstance, f),
    offers: (f = msg.getOffers()) && v1_order_model_offer_pb.ListOfferResponse.toObject(includeInstance, f),
    deals: (f = msg.getDeals()) && v1_order_model_deal_pb.ListDealResponse.toObject(includeInstance, f),
    contacts: (f = msg.getContacts()) && v1_order_model_deal_pb.ListDealContactResponse.toObject(includeInstance, f)
  };

  if (includeInstance) {
    obj.$jspbMessageInstance = msg;
  }
  return obj;
};
}


/**
 * Deserializes binary data (in protobuf wire format).
 * @param {jspb.ByteSource} bytes The bytes to deserialize.
 * @return {!proto.fcp.order.v1.order.SearchResponse}
 */
proto.fcp.order.v1.order.SearchResponse.deserializeBinary = function(bytes) {
  var reader = new jspb.BinaryReader(bytes);
  var msg = new proto.fcp.order.v1.order.SearchResponse;
  return proto.fcp.order.v1.order.SearchResponse.deserializeBinaryFromReader(msg, reader);
};


/**
 * Deserializes binary data (in protobuf wire format) from the
 * given reader into the given message object.
 * @param {!proto.fcp.order.v1.order.SearchResponse} msg The message object to deserialize into.
 * @param {!jspb.BinaryReader} reader The BinaryReader to use.
 * @return {!proto.fcp.order.v1.order.SearchResponse}
 */
proto.fcp.order.v1.order.SearchResponse.deserializeBinaryFromReader = function(msg, reader) {
  while (reader.nextField()) {
    if (reader.isEndGroup()) {
      break;
    }
    var field = reader.getFieldNumber();
    switch (field) {
    case 1:
      var value = new v1_order_model_order_pb.ListOrderResponse;
      reader.readMessage(value,v1_order_model_order_pb.ListOrderResponse.deserializeBinaryFromReader);
      msg.setOrders(value);
      break;
    case 2:
      var value = new v1_order_model_offer_pb.ListOfferResponse;
      reader.readMessage(value,v1_order_model_offer_pb.ListOfferResponse.deserializeBinaryFromReader);
      msg.setOffers(value);
      break;
    case 3:
      var value = new v1_order_model_deal_pb.ListDealResponse;
      reader.readMessage(value,v1_order_model_deal_pb.ListDealResponse.deserializeBinaryFromReader);
      msg.setDeals(value);
      break;
    case 4:
      var value = new v1_order_model_deal_pb.ListDealContactResponse;
      reader.readMessage(value,v1_order_model_deal_pb.ListDealContactResponse.deserializeBinaryFromReader);
      msg.setContacts(value);
      break;
    default:
      reader.skipField();
      break;
    }
  }
  return msg;
};


/**
 * Serializes the message to binary data (in protobuf wire format).
 * @return {!Uint8Array}
 */
proto.fcp.order.v1.order.SearchResponse.prototype.serializeBinary = function() {
  var writer = new jspb.BinaryWriter();
  proto.fcp.order.v1.order.SearchResponse.serializeBinaryToWriter(this, writer);
  return writer.getResultBuffer();
};


/**
 * Serializes the given message to binary data (in protobuf wire
 * format), writing to the given BinaryWriter.
 * @param {!proto.fcp.order.v1.order.SearchResponse} message
 * @param {!jspb.BinaryWriter} writer
 * @suppress {unusedLocalVariables} f is only used for nested messages
 */
proto.fcp.order.v1.order.SearchResponse.serializeBinaryToWriter = function(message, writer) {
  var f = undefined;
  f = message.getOrders();
  if (f != null) {
    writer.writeMessage(
      1,
      f,
      v1_order_model_order_pb.ListOrderResponse.serializeBinaryToWriter
    );
  }
  f = message.getOffers();
  if (f != null) {
    writer.writeMessage(
      2,
      f,
      v1_order_model_offer_pb.ListOfferResponse.serializeBinaryToWriter
    );
  }
  f = message.getDeals();
  if (f != null) {
    writer.writeMessage(
      3,
      f,
      v1_order_model_deal_pb.ListDealResponse.serializeBinaryToWriter
    );
  }
  f = message.getContacts();
  if (f != null) {
    writer.writeMessage(
      4,
      f,
      v1_order_model_deal_pb.ListDealContactResponse.serializeBinaryToWriter
    );
  }
};


/**
 * optional ListOrderResponse orders = 1;
 * @return {?proto.fcp.order.v1.order.ListOrderResponse}
 */
proto.fcp.order.v1.order.SearchResponse.prototype.getOrders = function() {
  return /** @type{?proto.fcp.order.v1.order.ListOrderResponse} */ (
    jspb.Message.getWrapperField(this, v1_order_model_order_pb.ListOrderResponse, 1));
};


/**
 * @param {?proto.fcp.order.v1.order.ListOrderResponse|undefined} value
 * @return {!proto.fcp.order.v1.order.SearchResponse} returns this
*/
proto.fcp.order.v1.order.SearchResponse.prototype.setOrders = function(value) {
  return jspb.Message.setWrapperField(this, 1, value);
};


/**
 * Clears the message field making it undefined.
 * @return {!proto.fcp.order.v1.order.SearchResponse} returns this
 */
proto.fcp.order.v1.order.SearchResponse.prototype.clearOrders = function() {
  return this.setOrders(undefined);
};


/**
 * Returns whether this field is set.
 * @return {boolean}
 */
proto.fcp.order.v1.order.SearchResponse.prototype.hasOrders = function() {
  return jspb.Message.getField(this, 1) != null;
};


/**
 * optional ListOfferResponse offers = 2;
 * @return {?proto.fcp.order.v1.order.ListOfferResponse}
 */
proto.fcp.order.v1.order.SearchResponse.prototype.getOffers = function() {
  return /** @type{?proto.fcp.order.v1.order.ListOfferResponse} */ (
    jspb.Message.getWrapperField(this, v1_order_model_offer_pb.ListOfferResponse, 2));
};


/**
 * @param {?proto.fcp.order.v1.order.ListOfferResponse|undefined} value
 * @return {!proto.fcp.order.v1.order.SearchResponse} returns this
*/
proto.fcp.order.v1.order.SearchResponse.prototype.setOffers = function(value) {
  return jspb.Message.setWrapperField(this, 2, value);
};


/**
 * Clears the message field making it undefined.
 * @return {!proto.fcp.order.v1.order.SearchResponse} returns this
 */
proto.fcp.order.v1.order.SearchResponse.prototype.clearOffers = function() {
  return this.setOffers(undefined);
};


/**
 * Returns whether this field is set.
 * @return {boolean}
 */
proto.fcp.order.v1.order.SearchResponse.prototype.hasOffers = function() {
  return jspb.Message.getField(this, 2) != null;
};


/**
 * optional ListDealResponse deals = 3;
 * @return {?proto.fcp.order.v1.order.ListDealResponse}
 */
proto.fcp.order.v1.order.SearchResponse.prototype.getDeals = function() {
  return /** @type{?proto.fcp.order.v1.order.ListDealResponse} */ (
    jspb.Message.getWrapperField(this, v1_order_model_deal_pb.ListDealResponse, 3));
};


/**
 * @param {?proto.fcp.order.v1.order.ListDealResponse|undefined} value
 * @return {!proto.fcp.order.v1.order.SearchResponse} returns this
*/
proto.fcp.order.v1.order.SearchResponse.prototype.setDeals = function(value) {
  return jspb.Message.setWrapperField(this, 3, value);
};


/**
 * Clears the message field making it undefined.
 * @return {!proto.fcp.order.v1.order.SearchResponse} returns this
 */
proto.fcp.order.v1.order.SearchResponse.prototype.clearDeals = function() {
  return this.setDeals(undefined);
};


/**
 * Returns whether this field is set.
 * @return {boolean}
 */
proto.fcp.order.v1.order.SearchResponse.prototype.hasDeals = function() {
  return jspb.Message.getField(this, 3) != null;
};


/**
 * optional ListDealContactResponse contacts = 4;
 * @return {?proto.fcp.order.v1.order.ListDealContactResponse}
 */
proto.fcp.order.v1.order.SearchResponse.prototype.getContacts = function() {
  return /** @type{?proto.fcp.order.v1.order.ListDealContactResponse} */ (
    jspb.Message.getWrapperField(this, v1_order_model_deal_pb.ListDealContactResponse, 4));
};


/**
 * @param {?proto.fcp.order.v1.order.ListDealContactResponse|undefined} value
 * @return {!proto.fcp.order.v1.order.SearchResponse} returns this
*/
proto.fcp.order.v1.order.SearchResponse.prototype.setContacts = function(value) {
  return jspb.Message.setWrapperField(this, 4, value);
};


/**
 * Clears the message field making it undefined.
 * @return {!proto.fcp.order.v1.order.SearchResponse} returns this
 */
proto.fcp.order.v1.order.SearchResponse.prototype.clearContacts = function() {
  return this.setContacts(undefined);
};


/**
 * Returns whether this field is set.
 * @return {boolean}
 */
proto.fcp.order.v1.order.SearchResponse.prototype.hasContacts = function() {
  return jspb.Message.getField(this, 4) != null;
};


goog.object.extend(exports, proto.fcp.order.v1.order);
